"use strict";
{
    self.C3.Plugins.Sparsha_External_Image.Acts = {
        async LoadUrl(url)
        {
            var self = this;
            var oReq = new XMLHttpRequest();
            await oReq.open("GET", url, true);
            oReq.responseType = "blob";
            oReq.onload = function(oEvent)
            {
                var BlobHere = oReq.response;
                if (BlobHere)
                {
                    createImageBitmap(BlobHere).then(response => {
                        self.myImageBitmap = response;
                        self.myW = response.width;
                        self.myH = response.height;
                        self.isLoaded = true;
                        self.isNew = true;
                        self._runtime.UpdateRender();
                        self.Trigger(self.PluginCnds.OnLoaded);
                    })
                }
            };
            oReq.onerror = function()
            {
                self.Trigger(self.PluginCnds.OnError);
            }
            oReq.send();
        }
    };
}